> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update tag by ID

> Update a tag

```jsonc Body raw (json) wrap expandable theme={null}
{
  "type": "customer",// required | string | acceptable_values: customer,job,subtask,invoice,item,flatrate_job,user,timesheet,project,order
  "title": "some string",// required | string | unique for company and tag type
  "color": "#000000"// required, if type is job | string | descriotion: color hex value
}
```


## OpenAPI

````yaml put /tags/{tagId}
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /tags/{tagId}:
    put:
      tags:
        - Tags
      summary: Update tag by ID
      description: Update a tag
      operationId: putTagsByTagId
      parameters:
        - name: tagId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - customer
                    - job
                    - subtask
                    - invoice
                    - item
                    - flatrate_job
                    - user
                    - timesheet
                    - project
                    - order
                title:
                  type: string
                  description: Unique for company and tag type.
                color:
                  type: string
                  description: Color hex value. Required if type is job.
              required:
                - type
                - title
            example:
              type: customer
              title: some string
              color: '#000000'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: false when the request succeeds.
                    example: false
                  response:
                    type: object
                    description: The updated record.
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                error: true
                errors:
                  - error message
                  - error message
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              example:
                message: Request URL or object not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal Server Error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Material Lists Overview](/inventory-materials/material-lists/material-lists.md)
- [Offline Mode Overview](/troubleshooting/offline-mode/offline-mode.md)
- [How to Create Asset Reports](/reporting/raw-data/asset-reports.md)
- [Material Lists Offline Mode Details](/inventory-materials/material-lists/offline-behavior.md)
- [How to Create Custom Tags in Engage](/add-ons/engage/custom-tags.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.